Bug 46131 - pcnet32 driver causes kernel oops
Summary: pcnet32 driver causes kernel oops
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-06-27 02:03 UTC by Markus Hitz
Modified: 2007-04-18 16:34 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-02 19:27:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Markus Hitz 2001-06-27 02:03:41 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.51 [en] (X11; I; Linux 2.2.5-15 i686)

Description of problem:
Fresh install of RedHat 7.1 on a system with two  AMD PCnet/Fast 79C971
based NICs.
On boot, the module is "loaded" (0 pages), but networking won't start.
After executing
"ifup eth0" and/or "ifup eth1" the respective NIC will show up twice in
/proc/interrupts
(the "ifup" command returns errors, the driver won't start).

Finally - after a clean boot - I did

rmmod pcnet32
modprobe pcnet32 (no action)
insmod pcnet32  results in kernel oops

and after

cat /proc/interrupts

the kernel hangs


How reproducible:
Always

Steps to Reproduce:
1. boot
2. rmmod pcnet32
3. modprobe pcnet32
4. insmod pcnet32

Actual Results:  kernel oops

Expected Results:  pcnet32 module gets loaded

Additional info:

A search on google turned up a few posts on the kernel list.
The problem also exists in the 2.4.3 kernels.

Comment 1 Arjan van de Ven 2001-06-27 08:15:48 UTC
The 2.4.3-12 kernel update we released should have this fixed. Could you
try this ? (yes I know it's hard to install without network)

Comment 2 Markus Hitz 2001-07-02 19:27:40 UTC
Problem resolved in 2.4.3-12 kernel.

Over the weekend, I swapped the pcnet NICs for cheapo RealTeks,
downloaded the latest RPMs from the GaTech mirror, and upgraded
the kernel. After successfully starting the new kernel, I re-installed
the pcnet cards. Kudzu did the rest.

Thanks.

Comment 3 Arjan van de Ven 2001-07-02 19:31:34 UTC
Thanks for confirming this. I'm marking this as "fixed in errata" now.


Note You need to log in before you can comment on or make changes to this bug.